Subject: bug#39082: Inconsolata v3.000 has too wide spacing

From: Robert Pluim <[email-masked]>
Date: Mon, 13 Jan 2020 10:27:32 +0100

>>>>> On Sun, 12 Jan 2020 20:44:08 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> The 4th value is unimportant: it's the font's glyph index for that
    Eli> character's glyph.  The 5th element is the problem: it's what we use
    Eli> for the glyph.  29 is way too large, about 2.5 times too large.

    Eli> So the question now becomes how come we get such a large value.  Looks
    Eli> like we somehow use the space-width value instead of the character
    Eli> glyph's width, not sure why.  I guess stepping through the code I've
    Eli> shown from xdisp.c is still necessary to understand this.

I can reproduce this, but I donʼt know how much effort we should spend
getting to the bottom of it: a Cairo-enabled build (ie !XFT) does not
have this problem.

Robert